Subject: Re: bug#72593: hui:menu-choose: Wrong type argument: characterp, 176160776

From: Robert Weiner <[email-masked]>
Date: Mon, 12 Aug 2024 19:00:22 -0400

Please try the pre-release from elpa-devel or melpa.  Many updates have been made for newer Emacs versions.   -- rsw

> On Aug 12, 2024, at 11:38 AM, Philipp Ludwig <[email-masked]> wrote:
> 
> Since upgrading to Emacs 29.4, I get this error when using opening the Hyperbole menu and choosing any option:2
> 
> 
> Debugger entered--Lisp error: (wrong-type-argument characterp 176160776)
>  hui:menu-item(66 nil nil nil (("Hy9.0.1>") ("Act" hui:hbut-act "Activate button at point or prompt for a labeled b...") ("Butfile/" (menu . butfile) "Quick access button files menus.") ("Cust/" (menu . cust) "Customize Hyperbole by setting major options.") ("Doc/" (menu . doc) "Quick access to Hyperbole documentation.") ("Ebut/" (menu . ebut) "Explicit button commands.") ("Find/" (menu . find) "Find matching line commands.") ("Gbut/" (menu . gbut) "Global button commands.") ("Hist" hhist:pop "Jumps back to location prior to last Hyperbole but...") ("Ibut/" (menu . ibut) "Implicit button and button type commands.") ("Kotl/" (menu . kotl) "Autonumbered outlining and hyperlink capabilities.") ("Msg/" (menu . msg) "Mail and News messaging capabilities.") ("Rolo/" (menu . hyrolo) "Hierarchical, multi-file rolo lookup and edit comm...") ("Screen/" (menu . screen) "Screen display management commands.") ("Win/" (menu . win) "Window configuration management commands.")))
>  hui:menu-choose((("Hy9.0.1>") ("Act" hui:hbut-act "Activate button at point or prompt for a labeled b...") ("Butfile/" (menu . butfile) "Quick access button files menus.") ("Cust/" (menu . cust) "Customize Hyperbole by setting major options.") ("Doc/" (menu . doc) "Quick access to Hyperbole documentation.") ("Ebut/" (menu . ebut) "Explicit button commands.") ("Find/" (menu . find) "Find matching line commands.") ("Gbut/" (menu . gbut) "Global button commands.") ("Hist" hhist:pop "Jumps back to location prior to last Hyperbole but...") ("Ibut/" (menu . ibut) "Implicit button and button type commands.") ("Kotl/" (menu . kotl) "Autonumbered outlining and hyperlink capabilities.") ("Msg/" (menu . msg) "Mail and News messaging capabilities.") ("Rolo/" (menu . hyrolo) "Hierarchical, multi-file rolo lookup and edit comm...") ("Screen/" (menu . screen) "Screen display management commands.") ("Win/" (menu . win) "Window configuration management commands.")) nil nil)
>  hui:menu-act(hyperbole nil nil nil)
>  hyperbole(nil nil nil nil)
>  funcall-interactively(hyperbole nil nil nil nil)
>  command-execute(hyperbole)
> 
> 
> I tried versions 9.0.1 from elpa and 20240811.524 from melpa - same issue. Is there anything else I can try?
> 
> 
> 
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole